com.verisign.epp.codec.fee.v1_0

## Enum Phase

- java.lang.Object
- - java.lang.Enum<Phase>
  - - com.verisign.epp.codec.fee.v1_0.Phase

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Phase>

      public enum Phase
      extends java.lang.Enum<Phase>

  Phases, which include the following possible values:
  - `SUNRISE` - Phase when trademark holders can submit registrations or applications with trademark information that can be validated by.
  - `LANDRUSH` - Post sunrise phase when non-trademark holders are allowed to register domain names with steps taken to address a large volume of initial registrations.
  - `CLAIMS` - Trademark claims as defined by Trademark Clearinghouse model of displaying a claims notice to clients for domain names that match trademarks.
  - `OPEN` - Post launch phase that is also referred to as "steady state". Servers MAY require additional trademark protection with this phase.
  - `CUSTOM` - Custom phase that is defined using a free-form attribute like the "subphase" attribute.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLAIMS`
    `CUSTOM`
    `LANDRUSH`
    `OPEN`
    `SUNRISE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Phase` | `getPhase(java.lang.String aString)` Get the phase enumerated value given the matching string.
    `java.lang.String` | `toString()` Convert the enumerated `Phase` value to a `String`.
    `static Phase` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Phase[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUNRISE

          public static final Phase SUNRISE

    - #### LANDRUSH

          public static final Phase LANDRUSH

    - #### CLAIMS

          public static final Phase CLAIMS

    - #### OPEN

          public static final Phase OPEN

    - #### CUSTOM

          public static final Phase CUSTOM

  - ### Method Detail

    - #### values

          public static Phase[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Phase c : Phase.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Phase valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getPhase

          public static Phase getPhase(java.lang.String aString)

      Get the phase enumerated value given the matching string.
      Parameters:
        `aString` - `Phase` enumerated string to convert to an enumerated `Phase` instance.
      Returns:
        Enumerated `Phase` value matching the `String`.
      Throws:
        `java.security.InvalidParameterException` - If `aString` does not match an enumerated `Phase` string value.

    - #### toString

          public java.lang.String toString()

      Convert the enumerated `Phase` value to a `String`.
      Overrides:
        `toString` in class `java.lang.Enum<Phase>`